GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
24 messages Options
12
Reply | Threaded
Open this post in threaded view
|

GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Carsten Keßler
Hi,

I know this issue has been discussed on the list before, but I have not
found a solution in the archives. Running ./configure on Mac OS 10.5
(Intel) is aborted with this error message:

checking build system type... i386-apple-darwin9.1.0
checking host system type... i386-apple-darwin9.1.0
checking target system type... i386-apple-darwin9.1.0
Which we'll further canonicalise into: i386-apple-darwin
checking for path to top of build tree... dyld: Library not loaded:
GMP.framework/Versions/A/GMP
   Referenced from: /Users/Carsten/Desktop/ghc-6.8.1/utils/pwd/pwd
   Reason: image not found
configure: error: cannot determine current directory

Any ideas how to get around this issue?

Thanks,
Carsten


_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Joel Reymont
I think what I did is remove GMP.framework when building from source  
and install the MacPorts version. Haven't had a problem since and  
don't remember why I had the problem in the first place.

Are you building from source?

On Dec 10, 2007, at 3:50 PM, Carsten Keßler wrote:

> Hi,
>
> I know this issue has been discussed on the list before, but I have  
> not found a solution in the archives. Running ./configure on Mac OS  
> 10.5 (Intel) is aborted with this error message:
>
> checking build system type... i386-apple-darwin9.1.0
> checking host system type... i386-apple-darwin9.1.0
> checking target system type... i386-apple-darwin9.1.0
> Which we'll further canonicalise into: i386-apple-darwin
> checking for path to top of build tree... dyld: Library not loaded:  
> GMP.framework/Versions/A/GMP
>  Referenced from: /Users/Carsten/Desktop/ghc-6.8.1/utils/pwd/pwd
>  Reason: image not found
> configure: error: cannot determine current directory

--
http://wagerlabs.com





_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Carsten Keßler
No, I'm using the binaries from
http://www.haskell.org/ghc/dist/6.8.1/chakravarty/ghc-6.8.1-i386-apple-darwin.tar.bz2

I have already removed GMP. I have uninstalled it via Macports, or might
there be another version of it somewhere in my system?

Carsten

Joel Reymont schrieb:

> I think what I did is remove GMP.framework when building from source and
> install the MacPorts version. Haven't had a problem since and don't
> remember why I had the problem in the first place.
>
> Are you building from source?
>
> On Dec 10, 2007, at 3:50 PM, Carsten Keßler wrote:
>
>> Hi,
>>
>> I know this issue has been discussed on the list before, but I have
>> not found a solution in the archives. Running ./configure on Mac OS
>> 10.5 (Intel) is aborted with this error message:
>>
>> checking build system type... i386-apple-darwin9.1.0
>> checking host system type... i386-apple-darwin9.1.0
>> checking target system type... i386-apple-darwin9.1.0
>> Which we'll further canonicalise into: i386-apple-darwin
>> checking for path to top of build tree... dyld: Library not loaded:
>> GMP.framework/Versions/A/GMP
>>  Referenced from: /Users/Carsten/Desktop/ghc-6.8.1/utils/pwd/pwd
>>  Reason: image not found
>> configure: error: cannot determine current directory
>
> --
> http://wagerlabs.com
>
>
>
>
>

--
Carsten Keßler
Institute for Geoinformatics, University of Münster
http://www.carstenkessler.de


_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Joel Reymont
You may want to install GMP.framework back then.

The error is saying that pwd is trying to load the framework and is  
not finding it.

On Dec 10, 2007, at 4:22 PM, Carsten Keßler wrote:

> No, I'm using the binaries from http://www.haskell.org/ghc/dist/6.8.1/chakravarty/ghc-6.8.1-i386-apple-darwin.tar.bz2
>
> I have already removed GMP. I have uninstalled it via Macports, or  
> might there be another version of it somewhere in my system?

--
http://wagerlabs.com





_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Carsten Keßler
I have re-installed GMP (again via MacPorts) - still the same error
message. Maybe MacPorts puts in the wrong place on my system?


Joel Reymont schrieb:

> You may want to install GMP.framework back then.
>
> The error is saying that pwd is trying to load the framework and is not
> finding it.
>
> On Dec 10, 2007, at 4:22 PM, Carsten Keßler wrote:
>
>> No, I'm using the binaries from
>> http://www.haskell.org/ghc/dist/6.8.1/chakravarty/ghc-6.8.1-i386-apple-darwin.tar.bz2 
>>
>>
>> I have already removed GMP. I have uninstalled it via Macports, or
>> might there be another version of it somewhere in my system?
>
> --
> http://wagerlabs.com

_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

pweaver
"configure: error: cannot determine current directory"

I had this error message, too.  I looked in the configure script, and couldn't figure out what craziness it was doing to get the current directory.  I changed it to just do 'pwd', but I didn't get much farther.  I gave up and built from source :)

On Dec 10, 2007 11:23 AM, Carsten Keßler <[hidden email]> wrote:
I have re-installed GMP (again via MacPorts) - still the same error
message. Maybe MacPorts puts in the wrong place on my system?


Joel Reymont schrieb:
> You may want to install GMP.framework back then.

>
> The error is saying that pwd is trying to load the framework and is not
> finding it.
>
> On Dec 10, 2007, at 4:22 PM, Carsten Keßler wrote:
>
>> No, I'm using the binaries from
>> http://www.haskell.org/ghc/dist/6.8.1/chakravarty/ghc-6.8.1-i386-apple-darwin.tar.bz2
>>
>>
>> I have already removed GMP. I have uninstalled it via Macports, or
>> might there be another version of it somewhere in my system?
>
> --
> http://wagerlabs.com

_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users


_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Carsten Keßler
Basically, I just wanted to get this thing running without too much
hassle... Does anyone have an idea why the GHC distribution available
via MacPorts does not work at the moment?


Philip Weaver schrieb:

> "configure: error: cannot determine current directory"
>
> I had this error message, too.  I looked in the configure script, and
> couldn't figure out what craziness it was doing to get the current
> directory.  I changed it to just do 'pwd', but I didn't get much
> farther.  I gave up and built from source :)
>
> On Dec 10, 2007 11:23 AM, Carsten Keßler
> <[hidden email]
> <mailto:[hidden email]>> wrote:
>
>     I have re-installed GMP (again via MacPorts) - still the same error
>     message. Maybe MacPorts puts in the wrong place on my system?
>
>
>     Joel Reymont schrieb:
>      > You may want to install GMP.framework back then.
>      >
>      > The error is saying that pwd is trying to load the framework and
>     is not
>      > finding it.
>      >
>      > On Dec 10, 2007, at 4:22 PM, Carsten Keßler wrote:
>      >
>      >> No, I'm using the binaries from
>      >>
>     http://www.haskell.org/ghc/dist/6.8.1/chakravarty/ghc-6.8.1-i386-apple-darwin.tar.bz2
>      >>
>      >>
>      >> I have already removed GMP. I have uninstalled it via Macports, or
>      >> might there be another version of it somewhere in my system?
>      >
>      > --
>      > http://wagerlabs.com
>
>     _______________________________________________
>     Glasgow-haskell-users mailing list
>     [hidden email]
>     <mailto:[hidden email]>
>     http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
>
>

--
Carsten Keßler
Institute for Geoinformatics, University of Münster
http://www.carstenkessler.de


_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Joel Reymont
In reply to this post by Carsten Keßler

On Dec 10, 2007, at 7:23 PM, Carsten Keßler wrote:

> I have re-installed GMP (again via MacPorts) - still the same error  
> message. Maybe MacPorts puts in the wrong place on my system?


You need to either find and install GMP.framework that you deleted or  
build GHC from source.

MacPort does not build GMP.framework

        Joel

--
http://wagerlabs.com





_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Manuel M T Chakravarty
In reply to this post by Carsten Keßler
Carsten Keßler:
> Basically, I just wanted to get this thing running without too much  
> hassle... Does anyone have an idea why the GHC distribution  
> available via MacPorts does not work at the moment?

Install "gmp" from MacPorts.  That will make the configure error go  
away.  (The installed compiler will not use the MacPorts gmp; it is  
just needed during the installation.)

I have no idea who maintains ghc in MacPorts, if anybody.

Manuel

>
>
>
> Philip Weaver schrieb:
>> "configure: error: cannot determine current directory"
>> I had this error message, too.  I looked in the configure script,  
>> and couldn't figure out what craziness it was doing to get the  
>> current directory.  I changed it to just do 'pwd', but I didn't get  
>> much farther.  I gave up and built from source :)
>> On Dec 10, 2007 11:23 AM, Carsten Keßler <[hidden email]
>>  <mailto:[hidden email]>> wrote:
>>    I have re-installed GMP (again via MacPorts) - still the same  
>> error
>>    message. Maybe MacPorts puts in the wrong place on my system?
>>    Joel Reymont schrieb:
>>     > You may want to install GMP.framework back then.
>>     >
>>     > The error is saying that pwd is trying to load the framework  
>> and
>>    is not
>>     > finding it.
>>     >
>>     > On Dec 10, 2007, at 4:22 PM, Carsten Keßler wrote:
>>     >
>>     >> No, I'm using the binaries from
>>     >>
>>    http://www.haskell.org/ghc/dist/6.8.1/chakravarty/ghc-6.8.1-i386-apple-darwin.tar.bz2
>>     >>
>>     >>
>>     >> I have already removed GMP. I have uninstalled it via  
>> Macports, or
>>     >> might there be another version of it somewhere in my system?
>>     >
>>     > --
>>     > http://wagerlabs.com
>>    _______________________________________________
>>    Glasgow-haskell-users mailing list
>>    [hidden email]
>>    <mailto:[hidden email]>
>>    http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
>
> --
> Carsten Keßler
> Institute for Geoinformatics, University of Münster
> http://www.carstenkessler.de
>
>
> _______________________________________________
> Glasgow-haskell-users mailing list
> [hidden email]
> http://www.haskell.org/mailman/listinfo/glasgow-haskell-users

_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Gregory Wright-2
In reply to this post by Carsten Keßler

On Dec 10, 2007, at 3:21 PM, Carsten Keßler wrote:

> Basically, I just wanted to get this thing running without too much  
> hassle... Does anyone have an idea why the GHC distribution  
> available via MacPorts does not work at the moment?
>
>

Hi Carsten,

The ghc distribution on MacPorts doesn't support 6.8.1 yet because I  
haven't finished porting it.

The whole 6.8.1 release is sort of a mess. Our old bootstrap compiler  
on ppc (version 6.4) seems
not to be able to build 6.8.1, contrary to expectations.  I can get  
6.6.1 to build 6.8.1, so I may just
have to update the bootstrap compiler.  (Updating the bootstrap  
compiler is a fair amount of work,
mostly to check that no unnecessary dependencies get included.  This  
is essential so that the
process "just works" for most people.)

I had asked on this list several days ago if anyone knew what  
versions of ghc were capable
of building 6.8.1 and received no answer to this question.  AFAIK,  
only 6.6.1 is capable of building
6.8.1, despite the the website's advertising that any version > 6.0  
should be sufficient.
(The libraries for 6.8.1 seem to need 6.2 or later.)

This will all take some time to sort out but it is being worked on.

Best Wishes,
Greg

_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Carsten Keßler
In reply to this post by Manuel M T Chakravarty
Hi,

so does the GMP.framework installed via MacPorts do it, or not?!
Apparently, it doesn't:

-snip

Macintosh-4:~ Carsten$ port installed
The following ports are currently installed:
...
   gmp @4.2.2_0 (active)
   readline @5.2.007_0+darwin_9 (active)
...

Macintosh-4:ghc-6.8.1 Carsten$ ./configure
checking build system type... i386-apple-darwin9.1.0
checking host system type... i386-apple-darwin9.1.0
checking target system type... i386-apple-darwin9.1.0
Which we'll further canonicalise into: i386-apple-darwin
checking for path to top of build tree... dyld: Library not loaded:
GMP.framework/Versions/A/GMP
   Referenced from: /Users/Carsten/Desktop/ghc-6.8.1/utils/pwd/pwd
   Reason: image not found
configure: error: cannot determine current directory

-snap

Is there another way to download / install GMP other than through MacPorts?

Thanks,
Carsten

Manuel M T Chakravarty schrieb:

> Carsten Keßler:
>> Basically, I just wanted to get this thing running without too much
>> hassle... Does anyone have an idea why the GHC distribution available
>> via MacPorts does not work at the moment?
>
> Install "gmp" from MacPorts.  That will make the configure error go
> away.  (The installed compiler will not use the MacPorts gmp; it is just
> needed during the installation.)
>
> I have no idea who maintains ghc in MacPorts, if anybody.
>
> Manuel
>
>>
>>
>>
>> Philip Weaver schrieb:
>>> "configure: error: cannot determine current directory"
>>> I had this error message, too.  I looked in the configure script, and
>>> couldn't figure out what craziness it was doing to get the current
>>> directory.  I changed it to just do 'pwd', but I didn't get much
>>> farther.  I gave up and built from source :)
>>> On Dec 10, 2007 11:23 AM, Carsten Keßler
>>> <[hidden email] <mailto:[hidden email]>>
>>> wrote:
>>>    I have re-installed GMP (again via MacPorts) - still the same error
>>>    message. Maybe MacPorts puts in the wrong place on my system?
>>>    Joel Reymont schrieb:
>>>     > You may want to install GMP.framework back then.
>>>     >
>>>     > The error is saying that pwd is trying to load the framework and
>>>    is not
>>>     > finding it.
>>>     >
>>>     > On Dec 10, 2007, at 4:22 PM, Carsten Keßler wrote:
>>>     >
>>>     >> No, I'm using the binaries from
>>>     >>
>>>    
>>> http://www.haskell.org/ghc/dist/6.8.1/chakravarty/ghc-6.8.1-i386-apple-darwin.tar.bz2 
>>>
>>>     >>
>>>     >>
>>>     >> I have already removed GMP. I have uninstalled it via
>>> Macports, or
>>>     >> might there be another version of it somewhere in my system?
>>>     >
>>>     > --
>>>     > http://wagerlabs.com
>>>    _______________________________________________
>>>    Glasgow-haskell-users mailing list
>>>    [hidden email]
>>>    <mailto:[hidden email]>
>>>    http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
>>
>> --
>> Carsten Keßler
>> Institute for Geoinformatics, University of Münster
>> http://www.carstenkessler.de
>>
>>
>> _______________________________________________
>> Glasgow-haskell-users mailing list
>> [hidden email]
>> http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
>

--
Carsten Keßler
Institute for Geoinformatics, University of Münster
http://www.carstenkessler.de


_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Carsten Keßler
In reply to this post by Gregory Wright-2
Hi greg,

Gregory Wright schrieb:
> The ghc distribution on MacPorts doesn't support 6.8.1 yet because I
> haven't finished porting it.
>
I have already figured out that ghc via MacPorts only works if you have
a working version of ghc on board, which I have not, so this is not an
option for me right now.

> The whole 6.8.1 release is sort of a mess. Our old bootstrap compiler on
> ppc (version 6.4) seems
> not to be able to build 6.8.1, contrary to expectations.  I can get
> 6.6.1 to build 6.8.1, so I may just
> have to update the bootstrap compiler.  (Updating the bootstrap compiler
> is a fair amount of work,
> mostly to check that no unnecessary dependencies get included.  This is
> essential so that the
> process "just works" for most people.)
>
> I had asked on this list several days ago if anyone knew what versions
> of ghc were capable
> of building 6.8.1 and received no answer to this question.  AFAIK, only
> 6.6.1 is capable of building
> 6.8.1, despite the the website's advertising that any version > 6.0
> should be sufficient.
> (The libraries for 6.8.1 seem to need 6.2 or later.)

Thanks for the detailed insight - however, I'm afraid I won't be able to
help you in any way with these issues.

Best,
Carsten
_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Christian Maeder-2
In reply to this post by Carsten Keßler
Carsten Keßler wrote:

> Hi,
>
> so does the GMP.framework installed via MacPorts do it, or not?!
> Apparently, it doesn't:
>
> -snip
>
> Macintosh-4:~ Carsten$ port installed
> The following ports are currently installed:
> ...
>   gmp @4.2.2_0 (active)

This does not look like a framework

> Is there another way to download / install GMP other than through MacPorts?

http://www.haskell.org/ghc/dist/mac_frameworks/mac_e.htm

Christian

_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Gregory Wright-2
In reply to this post by Carsten Keßler

On Dec 11, 2007, at 3:23 AM, Carsten Keßler wrote:

> Hi,
>
> so does the GMP.framework installed via MacPorts do it, or not?!  
> Apparently, it doesn't:

> -snip
>
> Macintosh-4:~ Carsten$ port installed
> The following ports are currently installed:
> ...
>   gmp @4.2.2_0 (active)
>   readline @5.2.007_0+darwin_9 (active)
>

Hi Carsten,

MacPorts does not install gmp as a framework (that is, native OS X  
style).
Instead it installs it as a unix style library, usually in /opt/local/
lib.

MacPorts patches the configure.ac file to remove the test for the gmp
framework.  You can do this by hand, then run "autoreconf".  Then
specify --with-gmp-includes=<path to gmp.h> and --with-gmp-
libraries=<path to libgmp>
to configure to ensure the installed gmp is found.

Best Wishes,
Greg

_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Carsten Keßler
In reply to this post by Christian Maeder-2
Hi Christian,

>> Is there another way to download / install GMP other than through MacPorts?
>
> http://www.haskell.org/ghc/dist/mac_frameworks/mac_e.htm

Thanks for the link, configure now works like a charm, but make install
fails with the following error:

- snip

...
Installing: /Library/GHC/lib/ghc-6.8.1/lib/OpenGL-2.2.1.1
installPackage: Error: Could not find module:
Graphics.Rendering.OpenGL.GL.PixelRectangles.PixelStorage with any
suffix: ["p_hi"]
make[1]: *** [install.library.OpenGL] Error 1
make: *** [install] Error 2

- snap

Any ideas what that might mean?

Carsten
_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Christian Maeder-2
In reply to this post by Carsten Keßler
Carsten Keßler wrote:
> No, I'm using the binaries from
> http://www.haskell.org/ghc/dist/6.8.1/chakravarty/ghc-6.8.1-i386-apple-darwin.tar.bz2

Are you sure that you've downloaded chakravarty's binary-dist? This one
does not require frameworks (and should not fail as below)

>>> checking for path to top of build tree... dyld: Library not loaded:
>>> GMP.framework/Versions/A/GMP
>>>  Referenced from: /Users/Carsten/Desktop/ghc-6.8.1/utils/pwd/pwd
>>>  Reason: image not found
>>> configure: error: cannot determine current directory

This error message (and maybe your latest one about OpenGL) indicates
more that you've got
 http://www.haskell.org/ghc/dist/6.8.1/scsibug/ghc-6.8.1-i386-apple-darwin.tar.bz2

Could you check this?

Christian
_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Christian Maeder-2
In reply to this post by Carsten Keßler
Carsten Keßler wrote:
> Installing: /Library/GHC/lib/ghc-6.8.1/lib/OpenGL-2.2.1.1
> installPackage: Error: Could not find module:
> Graphics.Rendering.OpenGL.GL.PixelRectangles.PixelStorage with any
> suffix: ["p_hi"]

I don't know what binary-distribution you've got, but the file
libraries/OpenGL/dist/build/Graphics/Rendering/OpenGL/GL/PixelRectangles/PixelStorage.p_hi
is included in both distributions from the download page:

http://www.haskell.org/ghc/dist/6.8.1/chakravarty/ghc-6.8.1-i386-apple-darwin.tar.bz2
http://www.haskell.org/ghc/dist/6.8.1/scsibug/ghc-6.8.1-i386-apple-darwin.tar.bz2

_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Carsten Keßler
I'm now using the binaries from

> http://www.haskell.org/ghc/dist/6.8.1/chakravarty/ghc-6.8.1-i386-apple-darwin.tar.bz2

Configure still runs without problems, but now I get a new error during
make install:

/Users/Carsten/Desktop/ghc-6.8.1/utils/ghc-pkg/ghc-pkg.bin --global-conf
/Library/GHC/lib/ghc-6.8.1/package.conf update - --force
dyld: Library not loaded: /opt/local/lib/libgmp.3.dylib
   Referenced from:
/Users/Carsten/Desktop/ghc-6.8.1/utils/ghc-pkg/ghc-pkg.bin
   Reason: image not found
/bin/sh: line 1:  5312 Done                    cc -E -undef -traditional
-P -DINSTALLING -DIMPORT_DIR='"/Library/GHC/lib/ghc-6.8.1/imports"'
-DLIB_DIR='"/Library/GHC/lib/ghc-6.8.1"'
-DINCLUDE_DIR='"/Library/GHC/lib/ghc-6.8.1/include"'
-DDATA_DIR='"/Library/GHC/share/ghc-6.8.1"'
-DHTML_DIR='"/Library/GHC/share/ghc-6.8.1/html/libraries/rts"'
-DHADDOCK_IFACE='"/Library/GHC/share/ghc-6.8.1/html/libraries/rts/rts.haddock"'
-I../includes -x c -DGMP_INCLUDE_DIRS='' -DGMP_LIB_DIRS='' -I -Iinclude
-DPACKAGE=rts -DVERSION= -DPKG_LIBDIR='"/Library/GHC/lib/ghc-6.8.1"'
-DPKG_DATADIR='"/Library/GHC/share/ghc-6.8.1"' package.conf.in
       5313                       | grep -v '^#pragma GCC'
       5314                       | sed -e 's/""//g' -e 's/:[   ]*,/: /g'
       5315 Trace/BPT trap          |
/Users/Carsten/Desktop/ghc-6.8.1/utils/ghc-pkg/ghc-pkg.bin --global-conf
/Library/GHC/lib/ghc-6.8.1/package.conf update - --force
make[1]: *** [install] Error 133
make: *** [install] Error 2


Is setting up GHC always that complicated?

Cheers,
Carsten

_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Joel Reymont
Carsten,

This says that you must install the MacPorts GMP package.

Do this, repeat the installation and let us know how it goes.

On Dec 11, 2007, at 1:30 PM, Carsten Keßler wrote:

> /Users/Carsten/Desktop/ghc-6.8.1/utils/ghc-pkg/ghc-pkg.bin --global-
> conf /Library/GHC/lib/ghc-6.8.1/package.conf update - --force
> dyld: Library not loaded: /opt/local/lib/libgmp.3.dylib
>  Referenced from: /Users/Carsten/Desktop/ghc-6.8.1/utils/ghc-pkg/ghc-
> pkg.bin
>  Reason: image not found

--
http://wagerlabs.com





_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
Reply | Threaded
Open this post in threaded view
|

Re: GHC 6.8.1 on Mac OS 10.5 Leopard (Intel) - Configure fails

Christian Maeder-2
In reply to this post by Carsten Keßler
Carsten Keßler wrote:

> I'm now using the binaries from
>
>> http://www.haskell.org/ghc/dist/6.8.1/chakravarty/ghc-6.8.1-i386-apple-darwin.tar.bz2
>>
>
> Configure still runs without problems, but now I get a new error during
> make install:
>
> /Users/Carsten/Desktop/ghc-6.8.1/utils/ghc-pkg/ghc-pkg.bin --global-conf
> /Library/GHC/lib/ghc-6.8.1/package.conf update - --force
> dyld: Library not loaded: /opt/local/lib/libgmp.3.dylib
>   Referenced from:
> /Users/Carsten/Desktop/ghc-6.8.1/utils/ghc-pkg/ghc-pkg.bin
>   Reason: image not found

Right, you need to install gmp from MacPorts, too, because chakravarty's
 binary still depends on it. (although gmp was integrated?)

Christian

otool -L utils/ghc-pkg/ghc-pkg.bin
utils/ghc-pkg/ghc-pkg.bin:
        /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current
version 111.0.0)
        /opt/local/lib/libgmp.3.dylib (compatibility version 8.0.0,
current version 8.1.0)
        /usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current
version 1.0.0)

otool -L compiler/stage2/ghc-6.8.1
compiler/stage2/ghc-6.8.1:
        /opt/local/lib/libreadline.5.2.dylib (compatibility version
5.0.0, current version 5.2.0)
        /opt/local/lib/libncurses.5.dylib (compatibility version 5.0.0,
current version 5.0.0)
        /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current
version 111.0.0)
        /opt/local/lib/libgmp.3.dylib (compatibility version 8.0.0,
current version 8.1.0)
        /usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current
version 1.0.0)
_______________________________________________
Glasgow-haskell-users mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/glasgow-haskell-users
12